package com.dev.swms.server.model.abstractEntity;


import com.dev.energy.server.model.Entity;
import com.dev.swms.server.model.base.Item;
import com.dev.swms.server.model.base.Location;
import com.dev.swms.server.model.base.Warehouse;
import com.dev.swms.server.model.base.WarehouseArea;

public class Pinfan extends Entity{

	
	private String numberNo;//No
	private Item item;//品号
	private String code;//品番
	private String name;//品名
	private String specs;//A/C
	private String content;//加工内容
	private String bonded;//保税
	private Warehouse warehouse;//仓库
	private WarehouseArea zone;//仓库
	private Location location;//库位
	private double quantity;//收容数
	private String hezi;//荷姿
	private String unit;//库存计量单位
	private String description;//备注
	private String strExtend1;//库位
	private String strExtend2;
	private String strExtend3;
	/** 是否失效 */
	private boolean disabled = false;
	
	/** 是否预备 */
	private boolean beYb = false;
	
	/** 常备库存 */
	private int cbQty = 0;
	
	
	public boolean isBeYb() {
		return beYb;
	}
	public void setBeYb(boolean beYb) {
		this.beYb = beYb;
	}
	public int getCbQty() {
		return cbQty;
	}
	public void setCbQty(int cbQty) {
		this.cbQty = cbQty;
	}
	public boolean isDisabled() {
		return disabled;
	}
	public void setDisabled(boolean disabled) {
		this.disabled = disabled;
	}
	public Item getItem() {
		return item;
	}
	public void setItem(Item item) {
		this.item = item;
	}
	public WarehouseArea getZone() {
		return zone;
	}
	public void setZone(WarehouseArea zone) {
		this.zone = zone;
	}
	public String getNumberNo() {
		return numberNo;
	}
	public void setNumberNo(String numberNo) {
		this.numberNo = numberNo;
	}
	public String getCode() {
		return code;
	}
	public void setCode(String code) {
		this.code = code;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public String getSpecs() {
		return specs;
	}
	public void setSpecs(String specs) {
		this.specs = specs;
	}
	public String getContent() {
		return content;
	}
	public void setContent(String content) {
		this.content = content;
	}
	
	public String getBonded() {
		return bonded;
	}
	public void setBonded(String bonded) {
		this.bonded = bonded;
	}
	public Warehouse getWarehouse() {
		return warehouse;
	}
	public void setWarehouse(Warehouse warehouse) {
		this.warehouse = warehouse;
	}
	public Location getLocation() {
		return location;
	}
	public void setLocation(Location location) {
		this.location = location;
	}
	public double getQuantity() {
		return quantity;
	}
	public void setQuantity(double quantity) {
		this.quantity = quantity;
	}
	
	public String getHezi() {
		return hezi;
	}
	public void setHezi(String hezi) {
		this.hezi = hezi;
	}
	public String getUnit() {
		return unit;
	}
	public void setUnit(String unit) {
		this.unit = unit;
	}
	public String getDescription() {
		return description;
	}
	public void setDescription(String description) {
		this.description = description;
	}
	public String getStrExtend1() {
		return strExtend1;
	}
	public void setStrExtend1(String strExtend1) {
		this.strExtend1 = strExtend1;
	}
	public String getStrExtend2() {
		return strExtend2;
	}
	public void setStrExtend2(String strExtend2) {
		this.strExtend2 = strExtend2;
	}
	public String getStrExtend3() {
		return strExtend3;
	}
	public void setStrExtend3(String strExtend3) {
		this.strExtend3 = strExtend3;
	}
	
	
}
